<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.sdm</groupId>
		<artifactId>ov-secure-data-manager</artifactId>
		<version>2.1.6</version>
	</parent>

	<groupId>com.scytl.products.ov</groupId>
	<artifactId>config-generator</artifactId>
	<packaging>pom</packaging>

	<name>Secure Data Manager Configuration Generator</name>
	<description>
        Configuration generator
    </description>

	<properties>
		<skip.jacoco>false</skip.jacoco>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencyManagement>
		<dependencies>
			<!-- logging dependencies -->
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-slf4j-impl</artifactId>
				<version>${log4j.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-core</artifactId>
				<version>${log4j.version}</version>
			</dependency>

			<!-- other dependencies -->
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>2.4</version>
			</dependency>
			<dependency>
				<groupId>commons-cli</groupId>
				<artifactId>commons-cli</artifactId>
				<version>1.3</version>
			</dependency>
			<dependency>
				<groupId>commons-validator</groupId>
				<artifactId>commons-validator</artifactId>
				<version>${commons-validator.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.core</groupId>
				<artifactId>jackson-core</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.core</groupId>
				<artifactId>jackson-annotations</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.core</groupId>
				<artifactId>jackson-databind</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.jaxrs</groupId>
				<artifactId>jackson-jaxrs-base</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.jaxrs</groupId>
				<artifactId>jackson-jaxrs-json-provider</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.datatype</groupId>
				<artifactId>jackson-datatype-jdk8</artifactId>
				<version>${jackson.version}</version>
				<scope>runtime</scope>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.datatype</groupId>
				<artifactId>jackson-datatype-jsr310</artifactId>
				<version>${jackson.version}</version>
				<scope>runtime</scope>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-tx</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-webmvc</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.batch</groupId>
				<artifactId>spring-batch-core</artifactId>
				<version>${spring.batch.version}</version>
			</dependency>
			<dependency>
				<groupId>com.googlecode.jcsv</groupId>
				<artifactId>jcsv</artifactId>
				<version>1.4.0</version>
			</dependency>
			<!-- CryptoLib dependencies -->
			<dependency>
				<artifactId>cryptolib-mathematical</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-elgamal</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-commons</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-asymmetric</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-primitives</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-certificates</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-scytl-keystore</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>

			<dependency>
				<artifactId>cryptolib-api-stores</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>
			<dependency>
				<artifactId>cryptolib-stores</artifactId>
				<groupId>com.scytl.cryptolib</groupId>
				<version>${cryptolib.version}</version>
			</dependency>

			<!-- Bouncy Castle dependencies -->
			<dependency>
				<groupId>org.bouncycastle</groupId>
				<artifactId>bcprov-jdk15on</artifactId>
				<version>${bouncycastle.version}</version>
			</dependency>
			<dependency>
				<groupId>org.bouncycastle</groupId>
				<artifactId>bcpkix-jdk15on</artifactId>
				<version>${bouncycastle.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.bouncycastle</groupId>
						<artifactId>bcprov-jdk15on</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<!-- shares dependencies -->
			<dependency>
				<artifactId>shares</artifactId>
				<groupId>com.scytl.shares</groupId>
				<version>1.0.2</version>
			</dependency>
			<dependency>
				<groupId>iaik</groupId>
				<artifactId>iaikPkcs11Wrapper</artifactId>
				<version>1.3</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.math</groupId>
				<artifactId>scytl-math</artifactId>
				<version>${scytl-math.version}</version>
			</dependency>

			<dependency>
				<groupId>com.scytl.products.oscore</groupId>
				<artifactId>logging-core</artifactId>
				<version>${logging.version}</version>
			</dependency>
			<!-- testing dependencies -->
			<dependency>
				<groupId>org.jmockit</groupId>
				<artifactId>jmockit</artifactId>
				<version>1.17</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>${junit.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.mockito</groupId>
				<artifactId>mockito-core</artifactId>
				<version>${mockito.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${spring.version}</version>
				<scope>test</scope>
			</dependency>

			<!-- OV CHANNEL COMMONS -->
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-infrastructure</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>


			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-beans</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
            
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-dto</artifactId>
                <version>${ov-channel.version}</version>
            </dependency>

			<!-- CONFIG BATCH JOBS PRODUCT -->
			<dependency>
				<groupId>com.scytl.products.ov.sdm</groupId>
				<artifactId>ov-sdm-batch-jobs-product</artifactId>
				<version>${project.version}</version>
			</dependency>

			<!--Testing -->
			<dependency>
				<groupId>org.hamcrest</groupId>
				<artifactId>hamcrest-library</artifactId>
				<version>${hamcrest.version}</version>
				<scope>test</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<modules>
		<module>config-commons</module>
		<module>config-engine</module>
		<module>config-webapp</module>
		<module>config-shares</module>
		<module>config-platformroot</module>
		<module>config-tenant</module>
	</modules>

	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>build-helper-maven-plugin</artifactId>
					<version>1.9.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-site-plugin</artifactId>
					<version>3.4</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-release-plugin</artifactId>
					<version>2.5</version>
					<configuration>
						<preparationGoals>clean replacer:replace verify</preparationGoals>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-failsafe-plugin</artifactId>
					<version>2.17</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.18.1</version>
					<configuration>
						<includes>
							<include>**/*.java</include>
						</includes>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-shade-plugin</artifactId>
					<version>2.2</version>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

</project>
